<?php

namespace App\Community\Actions\Clinc;

use App\Models\Order;
use Encore\Admin\Actions\RowAction;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class OrderCancel extends RowAction
{
    public $name = '取消订单';

    public function handle(Model $model)
    {
        $id = $this->row->id;
        $sn = $this->row->order_sn;
        $openid = $this->row->orderUser->openid;
        if(empty($openid)) return true;
        //$openid = 'oYmUA5A1OIqtpA1XSrw35tbjtv1w';
        $time = $this->row->created_at;
        $price = (intval($this->row->price) / 100).'元';
        DB::beginTransaction();
        try {
            //退还余额
            $res = Order::orderCancel($id);
            $msg = [
                $openid,'/pages/index/index','您有一个订单已取消',$sn,'门诊订单',$price,$time,'社区取消','如有疑问请联系客服'
            ];
            $ret = send_wechat_message(9,$msg,'','');
            DB::commit();
        } catch ( \Exception $e){
            DB::rollBack();
            return $this->response()->error('操作失败!');
        }

        if($res){
            return $this->response()->success('操作成功!')->refresh();
        }
        return $this->response()->error('操作失败!');
    }

}
